Bug 205098 - [Indic] Input it broken for layouts
[Indic] Input it broken for layouts
Product: Fedora
Classification: Fedora
Component: scim-bridge (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
: i18n
Depends On:
Blocks: SCIM
  Show dependency treegraph
Reported: 2006-09-04 01:18 EDT by A S Alam
Modified: 2013-07-02 20:39 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-29 03:32:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description A S Alam 2006-09-04 01:18:05 EDT
Description of problem:
for Hindi (example), when you Press 'p' and 'P', output is same, which suppose
to be different, This is true for all Inscript/phonetic layouts

Version-Release number of selected component (if applicable):

How reproducible:
Everytime, during input in Indic language

Steps to Reproduce:
1. start gedit
2. Activate Scim
3. Press 'o'
4. Press 'O' (shift+ o)

Actual results:
Same letter is appearing

Expected results:
Should be different character as available in m17n keymap for language

Additional info:
1) m17n keymap shows correct mapping for keys
2) 1 September is install on machine (scim-1.4.4-33.fc6 is working fine)
3) tested on various machines
Comment 1 A S Alam 2006-09-04 01:50:19 EDT
one correction: please try with kedit and 'o'/'l' keys for hindi inscript
I am using KDE $env with following additional package:
Comment 2 A S Alam 2006-09-04 23:42:59 EDT
by Removing "scim-bridge-qt" package, input is working fine
tested with kedit, where input method can be selected.
Comment 3 Ryo Dairiki 2006-09-05 11:44:23 EDT
I've added a patch for this problem.
I haven't tested it well, but I think it works for you. :)
Comment 4 Ryo Dairiki 2006-09-05 11:46:18 EDT
... on the cvs latest;
I've forgot to tell you the most important thing. :(
Comment 5 Ryo Dairiki 2006-09-05 19:05:39 EDT
The previous one cannot handle capslock correctly. :(

I think this time it's okay;
I've tested through many cases and it seems all the behavior are correct. :)
Comment 6 Jens Petersen 2006-09-11 23:06:33 EDT
BTW for now I removed scim-bridge-qt from the scim xinput config file.
Comment 7 Jens Petersen 2006-09-18 05:34:09 EDT
This should be fixed with scim-bridge-0.4.5-1.fc6.
Comment 8 Xiaohong Wang 2006-09-29 03:32:10 EDT
Verified that it has been fixed in latest FC6:
# rpm -q scim-bridge

Note You need to log in before you can comment on or make changes to this bug.